<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>PySpottedUnipd: pyspottedunipd.ngrams.models.Markov Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">PySpottedUnipd
   &#160;<span id="projectnumber">0.0.2</span>
   </div>
   <div id="projectbrief">Figure out how you can find your sweet half or how to get attention and get liked in one of the most popular @Unipd facebook pages.</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('classpyspottedunipd_1_1ngrams_1_1models_1_1_markov.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="classpyspottedunipd_1_1ngrams_1_1models_1_1_markov-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">pyspottedunipd.ngrams.models.Markov Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for pyspottedunipd.ngrams.models.Markov:</div>
<div class="dyncontent">
 <div class="center">
  <img src="classpyspottedunipd_1_1ngrams_1_1models_1_1_markov.png" usemap="#pyspottedunipd.ngrams.models.Markov_map" alt=""/>
  <map id="pyspottedunipd.ngrams.models.Markov_map" name="pyspottedunipd.ngrams.models.Markov_map">
</map>
 </div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a0226e0f7e9d56f17cfe9805194849e0f"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classpyspottedunipd_1_1ngrams_1_1models_1_1_markov.html#a0226e0f7e9d56f17cfe9805194849e0f">__init__</a> (self, <a class="el" href="classpyspottedunipd_1_1ngrams_1_1models_1_1_markov.html#a5024f57db6188d5d51664ca7acdc6986">open_file</a>)</td></tr>
<tr class="separator:a0226e0f7e9d56f17cfe9805194849e0f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4efc3f55efaf7424106f13971addd0f2"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classpyspottedunipd_1_1ngrams_1_1models_1_1_markov.html#a4efc3f55efaf7424106f13971addd0f2">file_to_words</a> (self)</td></tr>
<tr class="separator:a4efc3f55efaf7424106f13971addd0f2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3c3efbeb47f0f50687826d1d4da1514d"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classpyspottedunipd_1_1ngrams_1_1models_1_1_markov.html#a3c3efbeb47f0f50687826d1d4da1514d">triples</a> (self)</td></tr>
<tr class="separator:a3c3efbeb47f0f50687826d1d4da1514d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aecacdd3b80908aec0ac36d6760c23d22"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classpyspottedunipd_1_1ngrams_1_1models_1_1_markov.html#aecacdd3b80908aec0ac36d6760c23d22">database</a> (self)</td></tr>
<tr class="separator:aecacdd3b80908aec0ac36d6760c23d22"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a19bccbd777575d1c3e036d4609be0355"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classpyspottedunipd_1_1ngrams_1_1models_1_1_markov.html#a19bccbd777575d1c3e036d4609be0355">generate_markov_text</a> (self, size=25)</td></tr>
<tr class="separator:a19bccbd777575d1c3e036d4609be0355"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:ad77e8269974806f9945d4a14587b0dfc"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classpyspottedunipd_1_1ngrams_1_1models_1_1_markov.html#ad77e8269974806f9945d4a14587b0dfc">cache</a></td></tr>
<tr class="separator:ad77e8269974806f9945d4a14587b0dfc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5024f57db6188d5d51664ca7acdc6986"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classpyspottedunipd_1_1ngrams_1_1models_1_1_markov.html#a5024f57db6188d5d51664ca7acdc6986">open_file</a></td></tr>
<tr class="separator:a5024f57db6188d5d51664ca7acdc6986"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a566f006d449d2eb99cd4c16ad75de402"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classpyspottedunipd_1_1ngrams_1_1models_1_1_markov.html#a566f006d449d2eb99cd4c16ad75de402">words</a></td></tr>
<tr class="separator:a566f006d449d2eb99cd4c16ad75de402"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad113500f81d87ba3517e5c2fe60fb7cc"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classpyspottedunipd_1_1ngrams_1_1models_1_1_markov.html#ad113500f81d87ba3517e5c2fe60fb7cc">word_size</a></td></tr>
<tr class="separator:ad113500f81d87ba3517e5c2fe60fb7cc"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock">
<p>Definition at line <a class="el" href="ngrams_2models_8py_source.html#l00160">160</a> of file <a class="el" href="ngrams_2models_8py_source.html">models.py</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a0226e0f7e9d56f17cfe9805194849e0f"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def pyspottedunipd.ngrams.models.Markov.__init__ </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>open_file</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Definition at line <a class="el" href="ngrams_2models_8py_source.html#l00161">161</a> of file <a class="el" href="ngrams_2models_8py_source.html">models.py</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a class="anchor" id="aecacdd3b80908aec0ac36d6760c23d22"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def pyspottedunipd.ngrams.models.Markov.database </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Definition at line <a class="el" href="ngrams_2models_8py_source.html#l00185">185</a> of file <a class="el" href="ngrams_2models_8py_source.html">models.py</a>.</p>

</div>
</div>
<a class="anchor" id="a4efc3f55efaf7424106f13971addd0f2"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def pyspottedunipd.ngrams.models.Markov.file_to_words </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Definition at line <a class="el" href="ngrams_2models_8py_source.html#l00168">168</a> of file <a class="el" href="ngrams_2models_8py_source.html">models.py</a>.</p>

</div>
</div>
<a class="anchor" id="a19bccbd777575d1c3e036d4609be0355"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def pyspottedunipd.ngrams.models.Markov.generate_markov_text </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>size</em> = <code>25</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Definition at line <a class="el" href="ngrams_2models_8py_source.html#l00193">193</a> of file <a class="el" href="ngrams_2models_8py_source.html">models.py</a>.</p>

</div>
</div>
<a class="anchor" id="a3c3efbeb47f0f50687826d1d4da1514d"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def pyspottedunipd.ngrams.models.Markov.triples </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">Generates triples from the given data string. So if our string were
"What a lovely day", we"d generate (What, a, lovely) and then
(a, lovely, day).
</pre> 
<p>Definition at line <a class="el" href="ngrams_2models_8py_source.html#l00173">173</a> of file <a class="el" href="ngrams_2models_8py_source.html">models.py</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a class="anchor" id="ad77e8269974806f9945d4a14587b0dfc"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">pyspottedunipd.ngrams.models.Markov.cache</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Definition at line <a class="el" href="ngrams_2models_8py_source.html#l00162">162</a> of file <a class="el" href="ngrams_2models_8py_source.html">models.py</a>.</p>

</div>
</div>
<a class="anchor" id="a5024f57db6188d5d51664ca7acdc6986"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">pyspottedunipd.ngrams.models.Markov.open_file</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Definition at line <a class="el" href="ngrams_2models_8py_source.html#l00163">163</a> of file <a class="el" href="ngrams_2models_8py_source.html">models.py</a>.</p>

</div>
</div>
<a class="anchor" id="ad113500f81d87ba3517e5c2fe60fb7cc"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">pyspottedunipd.ngrams.models.Markov.word_size</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Definition at line <a class="el" href="ngrams_2models_8py_source.html#l00165">165</a> of file <a class="el" href="ngrams_2models_8py_source.html">models.py</a>.</p>

</div>
</div>
<a class="anchor" id="a566f006d449d2eb99cd4c16ad75de402"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">pyspottedunipd.ngrams.models.Markov.words</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Definition at line <a class="el" href="ngrams_2models_8py_source.html#l00164">164</a> of file <a class="el" href="ngrams_2models_8py_source.html">models.py</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>/home/stefano/Coding/Python/projects/spotted-unipd/pyspottedunipd/ngrams/<a class="el" href="ngrams_2models_8py_source.html">models.py</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="namespacepyspottedunipd.html">pyspottedunipd</a></li><li class="navelem"><a class="el" href="namespacepyspottedunipd_1_1ngrams.html">ngrams</a></li><li class="navelem"><a class="el" href="namespacepyspottedunipd_1_1ngrams_1_1models.html">models</a></li><li class="navelem"><a class="el" href="classpyspottedunipd_1_1ngrams_1_1models_1_1_markov.html">Markov</a></li>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.11 </li>
  </ul>
</div>
</body>
</html>
